com.lowagie.text.pdf.internal

## Class PdfXConformanceImp

- java.lang.Object
- - com.lowagie.text.pdf.internal.PdfXConformanceImp

All Implemented Interfaces:
  PdfXConformance

    public class PdfXConformanceImp
    extends java.lang.Object
    implements PdfXConformance

### Field Summary

Fields
`protected int` `pdfxConformance` The value indicating if the PDF has to be in conformance with PDF/X.
`static int` `PDFXKEY_CMYK` A key for an aspect that can be checked for PDF/X Conformance.
`static int` `PDFXKEY_COLOR` A key for an aspect that can be checked for PDF/X Conformance.
`static int` `PDFXKEY_FONT` A key for an aspect that can be checked for PDF/X Conformance.
`static int` `PDFXKEY_GSTATE` A key for an aspect that can be checked for PDF/X Conformance.
`static int` `PDFXKEY_IMAGE` A key for an aspect that can be checked for PDF/X Conformance.
`static int` `PDFXKEY_LAYER` A key for an aspect that can be checked for PDF/X Conformance.
`static int` `PDFXKEY_RGB` A key for an aspect that can be checked for PDF/X Conformance.

### Constructor Summary

Constructors
Constructor and Description
`PdfXConformanceImp()`

### Method Summary

Methods
`static void` `checkPDFXConformance(PdfWriter writer, int key, java.lang.Object obj1)` Business logic that checks if a certain object is in conformance with PDF/X.
`void` `completeExtraCatalog(PdfDictionary extraCatalog)`
`void` `completeInfoDictionary(PdfDictionary info)`
`int` `getPDFXConformance()` Getter for the PDF/X Conformance value.
`boolean` `isPdfA1()` Checks if the PDF has to be in conformance with PDFA1
`boolean` `isPdfA1A()` Checks if the PDF has to be in conformance with PDFA1A
`boolean` `isPdfX()` Checks if the PDF/X Conformance is necessary.
`boolean` `isPdfX1A2001()` Checks if the PDF has to be in conformance with PDF/X-1a:2001
`boolean` `isPdfX32002()` Checks if the PDF has to be in conformance with PDF/X-3:2002
`void` `setPDFXConformance(int pdfxConformance)` Sets the PDF/X conformance level.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PDFXKEY_COLOR

    public static final int PDFXKEY_COLOR

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### PDFXKEY_CMYK

    public static final int PDFXKEY_CMYK

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### PDFXKEY_RGB

    public static final int PDFXKEY_RGB

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### PDFXKEY_FONT

    public static final int PDFXKEY_FONT

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### PDFXKEY_IMAGE

    public static final int PDFXKEY_IMAGE

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### PDFXKEY_GSTATE

    public static final int PDFXKEY_GSTATE

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### PDFXKEY_LAYER

    public static final int PDFXKEY_LAYER

A key for an aspect that can be checked for PDF/X Conformance.

See Also:
  Constant Field Values

#### pdfxConformance

    protected int pdfxConformance

The value indicating if the PDF has to be in conformance with PDF/X.

### Constructor Detail

#### PdfXConformanceImp

    public PdfXConformanceImp()

### Method Detail

#### setPDFXConformance

    public void setPDFXConformance(int pdfxConformance)

Description copied from interface: `PdfXConformance`
Sets the PDF/X conformance level. Allowed values are PDFX1A2001, PDFX32002, PDFA1A and PDFA1B. It must be called before opening the document.

Specified by:
  `setPDFXConformance` in interface `PdfXConformance`
Parameters:
  `pdfxConformance` - the conformance level
See Also:
  `PdfXConformance.setPDFXConformance(int)`

#### getPDFXConformance

    public int getPDFXConformance()

Description copied from interface: `PdfXConformance`
Getter for the PDF/X Conformance value.

Specified by:
  `getPDFXConformance` in interface `PdfXConformance`
Returns:
  the pdfxConformance
See Also:
  `PdfXConformance.getPDFXConformance()`

#### isPdfX

    public boolean isPdfX()

Checks if the PDF/X Conformance is necessary.

Specified by:
  `isPdfX` in interface `PdfXConformance`
Returns:
  true if the PDF has to be in conformance with any of the PDF/X specifications

#### isPdfX1A2001

    public boolean isPdfX1A2001()

Checks if the PDF has to be in conformance with PDF/X-1a:2001

Returns:
  true of the PDF has to be in conformance with PDF/X-1a:2001

#### isPdfX32002

    public boolean isPdfX32002()

Checks if the PDF has to be in conformance with PDF/X-3:2002

Returns:
  true of the PDF has to be in conformance with PDF/X-3:2002

#### isPdfA1

    public boolean isPdfA1()

Checks if the PDF has to be in conformance with PDFA1

Returns:
  true of the PDF has to be in conformance with PDFA1

#### isPdfA1A

    public boolean isPdfA1A()

Checks if the PDF has to be in conformance with PDFA1A

Returns:
  true of the PDF has to be in conformance with PDFA1A

#### completeInfoDictionary

    public void completeInfoDictionary(PdfDictionary info)

#### completeExtraCatalog

    public void completeExtraCatalog(PdfDictionary extraCatalog)

#### checkPDFXConformance

    public static void checkPDFXConformance(PdfWriter writer,
                            int key,
                            java.lang.Object obj1)

Business logic that checks if a certain object is in conformance with PDF/X.

Parameters:
  `writer` - the writer that is supposed to write the PDF/X file
  `key` - the type of PDF/X conformance that has to be checked
  `obj1` - the object that is checked for conformance